<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      >
    
    <h:head>

        <link rel = "shortcut icon" type = "imagem/x-icon" href = "../resources/imagens/favicon.ico"/>
        <link href="resources/css/modern-business.css" rel="stylesheet" type="text/css"/>

        <!-- Bootstrap core CSS -->
        <h:outputStylesheet library="css" name="bootstrap.min.css" />
        <!-- Custom styles for this template -->
        <h:outputStylesheet library="css" name="modern-business.css" />

        <!--                <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>-->
        <!--                <h:outputScript library="js" name="meu.js" />-->

        <h:outputStylesheet library="css" name="font-awesome.min.css" />
        <script src="../resources/js/usuario.js" type="text/javascript"></script>
    </h:head>
    <body>

        <ui:composition template="../WEB-INF/template.xhtml">

            <ui:define name="conteudo">

                <!-- Page Content -->
                <div class="container">

                    <!-- Page Heading/Breadcrumbs -->
                    <h1 class="row mt-4 mb-3 cab_princ transp">Botecos |
                        <p><small>Seu happy hour começa aqui.</small></p>
                    </h1>

                    <ol class="breadcrumb">
                        <li class="breadcrumb-item">
                            <a href="index.html">Home</a>
                        </li>
                        <li class="breadcrumb-item active">Registro de Login</li>
                    </ol>


                </div>

                <!-- /.row -->
                <h:form id="formUusuario"  >
                    <div class="row">

                        


                        <div class="col-9">


                           

                                <p:panelGrid  class="form-control" columns="2" id="painel">

                                    <p:outputLabel value="Código:" />
                                    <p:inputText 
                                        
                                        value="#{usuarioBean.usuario.id}"
                                        readonly="true" />


                                    <p:outputLabel value="Nome:" />
                                    <p:inputText id="txtNome" value="#{usuarioBean.usuario.nome}" />

                                    
                                    <p:outputLabel value="E-mail:" />
                                    <p:inputText id="txtEmail" value="#{usuarioBean.usuario.email}" />
                                    
                                    
                                    <p:outputLabel value="Senha:" for="txtPassword"/> 
                                    <p:password id="txtPassword" value="#{usuarioBean.usuario.senha}"/>
                                    

                                </p:panelGrid>
                            
                                                               
                                    <p:commandButton value="Salvar"
                                                     action="#{usuarioBean.salvar}"/>

                                    <p:commandButton value="Novo" immediate="true" 
                                                     actionListener="#{usuarioBean.novo}" 
                                                     update="@all"/>
                                
   
                        </div>

                    </div>
                </h:form>
                <br/>

            </ui:define>

        </ui:composition>

    </body>
</html>


